package net.refractions.udig.printing.ui.internal;

import net.refractions.udig.printing.model.Box;
import net.refractions.udig.printing.model.LabelBox;
import net.refractions.udig.printing.model.ModelFactory;
import net.refractions.udig.printing.ui.BoxFactory;

import org.eclipse.jface.resource.ImageDescriptor;

public class LabelBoxFactory implements BoxFactory {

	public Box createBox() {
		return ModelFactory.eINSTANCE.createLabelBox();
	}

	public String getName() {
		return "Label";
	}

	public String getDescription() {
		return "Creates a label with changable text.";
	}

	public Class getType() {
		return LabelBox.class;
	}

	public ImageDescriptor getSmallImage() {
		return null;
	}

	public ImageDescriptor getLargeImage() {
		return null;
	}
}
