/*
 *    uDig - User Friendly Desktop Internet GIS client
 *    http://udig.refractions.net
 *    (C) 2004, Refractions Research Inc.
 *
 *    This library is free software; you can redistribute it and/or
 *    modify it under the terms of the GNU Lesser General Public
 *    License as published by the Free Software Foundation;
 *    version 2.1 of the License.
 *
 *    This library is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *    Lesser General Public License for more details.
 *
 */
package net.refractions.udig.internal.ui;


import org.eclipse.emf.edit.ui.dnd.ViewerDragAdapter;
import org.eclipse.jface.viewers.Viewer;
import org.eclipse.swt.dnd.DragSourceEvent;

/**
 *  summary sentence.
 * <p>
 * Paragraph ...
 * </p><p>
 * Responsibilities:
 * <ul>
 * <li>
 * <li>
 * </ul>
 * </p><p>
 * Example:<pre><code>
 * UDIGDragAdapter x = new UDIGDragAdapter( ... );
 * TODO code example
 * </code></pre>
 * </p>
 * @author jones
 * @since 0.6.0
 */
public class UDIGDragAdapter extends ViewerDragAdapter {

    /**
     * Construct <code>UDIGDragAdapter</code>.
     *
     * @param viewer
     */
    public UDIGDragAdapter( Viewer viewer ) {
        super(viewer);
    }
	
	@Override
	public void dragStart(DragSourceEvent event) {
		super.dragStart(event);
		
		event.data = viewer.getSelection();
	}
	
	/**
     * @see org.eclipse.emf.edit.ui.dnd.ViewerDragAdapter#dragSetData(org.eclipse.swt.dnd.DragSourceEvent)
     */
    public void dragSetData(DragSourceEvent event)
    {
	  super.dragSetData(event);
      if( UDigByteAndLocalTransfer.getInstance().isSupportedType(event.dataType)){
	      event.data = selection;
      }
    }
    
}
